summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorJeremy Allison <jra@samba.org>2002-04-30 13:43:31 +0000
committerJeremy Allison <jra@samba.org>2002-04-30 13:43:31 +0000
commit710f80ffb33e023c62ab195db1f5eb7140d8e9e8 (patch)
treea7fc2d022c0055e7960056cd8054445fd869e4be /packaging
parentd04b55f2186fb8af998cf61c576771a5f72f4892 (diff)
downloadsamba-710f80ffb33e023c62ab195db1f5eb7140d8e9e8.tar.gz
samba-710f80ffb33e023c62ab195db1f5eb7140d8e9e8.tar.xz
samba-710f80ffb33e023c62ab195db1f5eb7140d8e9e8.zip
Added some of the newer files...
Jeremy.
Diffstat (limited to 'packaging')
-rw-r--r--packaging/Caldera/OpenLinux/winbind.daemon5
-rwxr-xr-xpackaging/Caldera/OpenLinux/winbind.init132
-rw-r--r--packaging/Caldera/OpenServer/callogo.gifbin0 -> 1945 bytes
-rw-r--r--packaging/Caldera/OpenServer/lmhosts1
-rw-r--r--packaging/Caldera/OpenServer/osr5config.html59
-rw-r--r--packaging/Caldera/OpenServer/samba.desktop7
-rw-r--r--packaging/Mandrake/mount.smb34
7 files changed, 238 insertions, 0 deletions
diff --git a/packaging/Caldera/OpenLinux/winbind.daemon b/packaging/Caldera/OpenLinux/winbind.daemon
new file mode 100644
index 00000000000..a09914e6051
--- /dev/null
+++ b/packaging/Caldera/OpenLinux/winbind.daemon
@@ -0,0 +1,5 @@
+IDENT=winbind
+DESCRIPTIVE="Winbind server processes (samba)"
+CONFIGURED="no"
+ONBOOT="no"
+OPTIONS_WINBD=""
diff --git a/packaging/Caldera/OpenLinux/winbind.init b/packaging/Caldera/OpenLinux/winbind.init
new file mode 100755
index 00000000000..96a3026d836
--- /dev/null
+++ b/packaging/Caldera/OpenLinux/winbind.init
@@ -0,0 +1,132 @@
+#!/bin/bash
+#
+#
+### BEGIN INIT INFO
+# Provides: $winbind
+# Required-Start: $network $samba
+# Required-Stop: $network
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Description: samba
+# Starts and stops the Samba smbd and nmbd daemons
+# used to provide SMB network services.
+### END INIT INFO
+#
+# Written by Miquel van Smoorenburg <miquels@drinkel.ow.org>.
+# Modified for Debian GNU/Linux by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+# Modified for OpenLinux by Raymund Will <ray@caldera.de>
+# Adapted for samba by Klaus Singvogel <klaus@caldera.de>
+
+NAME_W=winbindd
+DAEMON_W=/usr/sbin/$NAME_W
+
+config_file=/etc/samba.d/smb.conf
+
+# Source function library (and set vital variables).
+. @SVIdir@/functions
+
+status() {
+ [ -e $1 ] || return 3; # lock / pid file doesn't exist, seems to be stopped
+
+ i=`cat "$1"`
+ state=`egrep '^State' /proc/$i/status 2>/dev/null| sed 's#.* \(.\).*#\1#'`
+ if [ x$state = x -o x$state = xZ ]; then
+ return 2 # no such process (or zombie) --> dead
+ fi
+ return 0 # seems to be up and running
+}
+
+# this function is dedicated to Jan Terpstra. -- Klaus Singvogel, Sep. 2001.
+WinbdConfig() {
+ # returns 0 if winbindd is not configured,
+ # and 1 if winbindd is configured.
+
+ local config_file=$1; shift # file to check
+
+ # check if "winbind uid" is set in samba config file
+ egrep -q '[^#]*winbind uid' $config_file || return 0
+
+ found=0;
+ # We also need to check if least one PAM module control file does
+ # NOT have pam_winbind.so commented out
+ for i in /etc/pam.d/*; do
+ if [ ! -f $i ]; then next; fi
+ egrep -q '[^#]*pam_winbind.so' $i && found=1 && break;
+ done
+
+ if [ $found != 0 ]; then
+ # if so, ensure that in /etc/nsswitch.conf we have for
+ # "passwd", "shadow", "group" an entry for "winbind"
+ egrep -q '^passwd:.*winbind' /etc/nsswitch.conf && return 1
+ egrep -q '^shadow:.*winbind' /etc/nsswitch.conf && return 1
+ egrep -q '^group:.*winbind' /etc/nsswitch.conf && return 1
+ fi
+
+ return 0
+}
+
+case "$1" in
+ start)
+ [ ! -e $SVIlock ] || exit 0
+ [ -x $DAEMON_W ] || exit 5
+ SVIemptyConfig $config_file && exit 6
+
+ echo -n "Starting $SVIsubsys services: "
+ WinbdConfig $config_file || ssd -S -n $NAME_W -x $DAEMON_W -- $OPTIONS_WINBD
+ ret=$?
+
+ echo "."
+ touch $SVIlock
+ ;;
+
+ stop)
+ [ -e $SVIlock ] || exit 0
+
+ echo -n "Stopping $SVIsubsys services: "
+ ssd -K -p /var/lock/samba.d/$NAME_W.pid -n $NAME_W #-x $DAEMON_W
+
+ ret=$?
+
+ echo "."
+ rm -f $SVIlock
+ ;;
+
+ force-reload)
+ [ -e $SVIlock ] || exit 0
+ $0 restart
+ ret=$?
+ ;;
+
+ reload)
+ echo -n "Reloading $SVIsubsys service configuration: "
+ # nmbd has no config file to reload
+ ssd -K --signal 1 -p /var/lock/samba.d/$NAME_W.pid -n $NAME_W #-x $DAEMON_W
+ ret=$?
+ echo "."
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ ret=$?
+ ;;
+
+ status)
+ echo -n "Checking status of $SVIsubsys service: "
+ status /var/lock/samba.d/$NAME_W.pid
+ ret=$?
+ if [ $ret -eq 0 ]; then
+ echo -n "$NAME_W "
+ fi
+ echo "."
+ ;;
+
+ *)
+ echo "Usage: $SVIscript {start|stop|restart|force-reload|reload|status}"
+ ret=2
+ ;;
+
+esac
+
+exit $ret
+
diff --git a/packaging/Caldera/OpenServer/callogo.gif b/packaging/Caldera/OpenServer/callogo.gif
new file mode 100644
index 00000000000..0f7a266b775
--- /dev/null
+++ b/packaging/Caldera/OpenServer/callogo.gif
Binary files differ
diff --git a/packaging/Caldera/OpenServer/lmhosts b/packaging/Caldera/OpenServer/lmhosts
new file mode 100644
index 00000000000..75721cd5afd
--- /dev/null
+++ b/packaging/Caldera/OpenServer/lmhosts
@@ -0,0 +1 @@
+127.0.0.1 localhost
diff --git a/packaging/Caldera/OpenServer/osr5config.html b/packaging/Caldera/OpenServer/osr5config.html
new file mode 100644
index 00000000000..cfaa27155c4
--- /dev/null
+++ b/packaging/Caldera/OpenServer/osr5config.html
@@ -0,0 +1,59 @@
+<html>
+<head>
+<meta content="text/html; charset=ISO-8859-1" http-equiv="Content-Type">
+<title>Configuring Samba on SCO OpenServer systems</title>
+<meta name="generator" content="DocBook XSL Stylesheets V1.48">
+</head>
+<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article">
+<div class="titlepage">
+<div><h2 class="title">
+<a name="id2744732"></a>Configuring Samba on SCO OpenServer systems</h2></div>
+<hr>
+</div>
+<p>After installing Samba, you must configure and activate it. To
+do so, run the command <b>mkdev samba</b>. When prompted, enter the appropriate information in these categories: </p>
+<div class="variablelist"><dl>
+<dt><span class="term"><i><tt>Workgroup Name/NT-Domain</tt></i></span></dt>
+<dd><p>Default: <tt>MYGROUP</tt>
+</p></dd>
+<dt><span class="term"><i><tt>Machine name</tt></i></span></dt>
+<dd><p>Default: your system's name as reported by the <b>uname -n</b> command,
+ capitalized. For example, <tt>MYSYSTEM</tt>.</p></dd>
+<dt><span class="term"><i><tt>Windows Internet Naming Service (WINS)</tt></i> usage</span></dt>
+<dd>
+<p>Whether your network uses the Windows Internet Naming Service (WINS). The use of WINS is recommended; failure to do so may significantly
+ increase your network traffic. However, some sites are unable to use it
+ because, for example, of security policies.</p>
+<p>If you are using WINS, you will be asked whether your machine is intended
+to be the WINS server for your network. If some other machine will be the
+WINS server, you will be asked for its IP address.</p>
+<div class="note" style="margin-left: 0.5in; margin-right: 0.5in;">
+<h3 class="title">Note</h3>
+<p>A network may
+not have more than one WINS server. If any other machine will be acting as
+the WINS server, your machine cannot do so.</p>
+</div>
+</dd>
+<dt><span class="term"><i><tt>Network interface(s)</tt></i></span></dt>
+<dd><p>The network interface(s) over which will Samba run. For example, <tt>net0</tt>.</p></dd>
+<dt><span class="term"><i><tt>Microsoft
+ Security Domain or Active Directory</tt></i> usage</span></dt>
+<dd>
+<p>Whether your system is being installed into an already-existing Microsoft
+ Security Domain or Active Directory.</p>
+<div class="itemizedlist"><ul type="disc">
+<li><p>If <tt>Yes</tt>, you will be asked for the name of the Primary
+ Domain Controller.</p></li>
+<li><p>
+ If <tt>No</tt>, you will be asked whether <span class="emphasis"><i>your system</i></span> will be
+ the Primary Domain Controller. </p></li>
+</ul></div>
+</dd>
+</dl></div>
+<p>From the answers to these questions, an initial <a href="./smb.conf.5.html" target="_top"><tt>smb.conf</tt></a> file will be
+created that should work in most circumstances. Additional configuration
+should be completed using the <a href="./swat.8.html" target="_top"><b>swat</b></a> utility.</p>
+<p>Once this initial configuration is complete, Samba will automatically be
+launched at boot time.</p>
+</div></body>
+</html>
diff --git a/packaging/Caldera/OpenServer/samba.desktop b/packaging/Caldera/OpenServer/samba.desktop
new file mode 100644
index 00000000000..cd34e08ac5c
--- /dev/null
+++ b/packaging/Caldera/OpenServer/samba.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Samba
+DocPath=/usr/share/doc/samba/help/index.html
+X-COL-Weight=2.0
+# listed in DocView under:
+# Networking group (NetworkDoc)
+# Windows Connectivity category (WinConnect)
diff --git a/packaging/Mandrake/mount.smb b/packaging/Mandrake/mount.smb
new file mode 100644
index 00000000000..ba3cee84e0a
--- /dev/null
+++ b/packaging/Mandrake/mount.smb
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# by Bill Nottingham <notting@redhat.com>
+#
+# Adapted from mount.smb by Greg Galperin, MAR99 <grg@ai.mit.edu>
+#
+
+if [ $# != 4 -o "$3" != "-o" ]; then
+ echo "unsupported commandline $0 $*"
+ exit -1
+fi
+
+for arg in `echo $4 | tr ',' ' '`; do
+ case "$arg" in
+ user=*)
+ SMBUSER="`echo $arg | cut -d '=' -f 2-`"
+ ;;
+ passwd=*)
+ PASSWD=`echo $arg | cut -d '=' -f 2-`
+ ;;
+ domain=*)
+ DOMAIN="-W `echo $arg | cut -d '=' -f 2-`"
+ ;;
+ *)
+ ;;
+ esac
+done
+
+if [ -n "$PASSWD" ]; then
+ USER=$SMBUSER%$PASSWD exec smbmount "$1" $2 $DOMAIN
+else
+ USER=$SMBUSER exec smbmount "$1" $2 $DOMAIN -N
+fi
+exit $?